Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Public Attributes | Static Public Attributes | Static Private Attributes | List of all members
wowf.models.workout.EnduranceWorkout Class Reference
Inheritance diagram for wowf.models.workout.EnduranceWorkout:
Collaboration diagram for wowf.models.workout.EnduranceWorkout:

## Public Member Functions
def | __init__
Public Member Functions inherited from wowf.models.workout.DeviceWorkout
def | create
Public Member Functions inherited from wowf.models.workout._Workout
def | id

## Public Attributes
| user
| challenge
| points
| heart_rate
| calories_burned

## Static Public Attributes
tuple | heart_rate = Column(SmallInteger(unsigned=True), nullable=False)
tuple | calories_burned = Column(SmallInteger(unsigned=True), nullable=False)
Static Public Attributes inherited from wowf.models.workout.Workout
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | user_id = Column(Integer(unsigned=True), ForeignKey('users.id'), nullable=False)
tuple | challenge_id = Column(Integer(unsigned=True), ForeignKey('challenges.id'), nullable=False)
tuple | challenge_type_id
tuple | points = Column(SmallInteger(unsigned=True), nullable=False)
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | user
tuple | challenge
Static Public Attributes inherited from wowf.models.meta.Base
tuple | query = DBSession.query_property()
Static Public Attributes inherited from wowf.lib.fulltext.FulltextBase
list | index_fields = []

## Static Private Attributes
string | __tablename__ = 'endurance_workouts'
dictionary | __mapper_args__ = {'polymorphic_identity': ChallengeType.lookup_data.index('endurance') + 1}

## Detailed Description

Definition at line 99 of file workout.py.

## Constructor & Destructor Documentation

def wowf.models.workout.EnduranceWorkout.__init__ | ( |  | self,
|  |  | user,
|  |  | challenge,
|  |  | samples
| ) |  |

Definition at line 106 of file workout.py.

## Member Data Documentation

dictionary wowf.models.workout.EnduranceWorkout.__mapper_args__ = {'polymorphic_identity': ChallengeType.lookup_data.index('endurance') + 1}
| static private

Definition at line 102 of file workout.py.

string wowf.models.workout.EnduranceWorkout.__tablename__ = 'endurance_workouts'
| static private

Definition at line 101 of file workout.py.

tuple wowf.models.workout.EnduranceWorkout.calories_burned = Column(SmallInteger(unsigned=True), nullable=False)
| static

Definition at line 104 of file workout.py.

wowf.models.workout.EnduranceWorkout.calories_burned

Definition at line 113 of file workout.py.

wowf.models.workout.EnduranceWorkout.challenge

Definition at line 108 of file workout.py.

tuple wowf.models.workout.EnduranceWorkout.heart_rate = Column(SmallInteger(unsigned=True), nullable=False)
| static

Definition at line 103 of file workout.py.

wowf.models.workout.EnduranceWorkout.heart_rate

Definition at line 113 of file workout.py.

wowf.models.workout.EnduranceWorkout.points

Definition at line 113 of file workout.py.

wowf.models.workout.EnduranceWorkout.user

Definition at line 107 of file workout.py.

The documentation for this class was generated from the following file:

- wowf/models/workout.py